Undo in Flow, mis-converts into VE-mode
Closed, ResolvedPublic

Description

Undo, is confused between wikitext and VE-modes, and misconverts.

I composed a post. I then edited that post, making my last edit in VE-mode.

If I click "undo" at
https://en.wikipedia.org/w/index.php?title=Topic:Soqpz72d9gutwupt&action=compare-post-revisions&topic_newRevision=soqpzy16vtxkec0x
whilst the sticky-preference is still set for VE-mode, it gives me an incorrect rendering:


2nd test:
If I make another post, and the last edit is in wikitext-mode (to change my sticky preference), and then I click "undo" at the link above, it initially displays as expected:


However, as soon as I click in the text area, to make a further edit, it instantly changes to VE-mode, and mis-renders it again (slightly differently than before):

Quiddity created this task.Sep 11 2015, 9:49 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 11 2015, 9:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Sep 11 2015, 9:55 PM
Quiddity set Security to None.
Quiddity updated the task description. (Show Details)
DannyH triaged this task as Normal priority.Sep 14 2015, 4:44 PM
SBisson added a subscriber: DannyH.Sep 18 2015, 3:43 PM

I think this is the last place where the old editor system is being used. I still haven't figured out exactly how/when it got broken.

@Quiddity, @DannyH: I see 3 options at this time:

  1. Always load the wikitext editor on this page regardless of preference. I am proposing this is because the diff is shown in wikitext so it seems to make sense to look at the diff and edit/submit your new version using the same language. Effort: minimal
  2. Find the problem and repair the old system. Effort: unknown
  3. Replace with the new editor system. Effort: medium

#1 sounds sensible to me - reverting a diff needs to be checked and sometimes verified or partially replaced, in which case wikitext might be easier for many editors.

#1 sounds good to me

Yes, I agree. Loading the wikitext editor makes sense; the people who will be looking at this page will be fine with wikitext.

Change 240019 had a related patch set uploaded (by Sbisson):
Show the wikitext editor first on the undo pages

https://gerrit.wikimedia.org/r/240019

The same problem exists with

  1. undo edit post
  2. undo edit topic summary
  3. undo edit board description

Change 240019 merged by jenkins-bot:
Show the wikitext editor first on the undo pages

https://gerrit.wikimedia.org/r/240019

Re-checked both cases described in the ticket and one more from https://en.wikipedia.org/w/index.php?title=Topic:Soqpz72d9gutwupt&action=compare-post-revisions&topic_newRevision=soqpzy16vtxkec0x.

i.e. Rendering of

1)
{{collapse top|test collapse}}foo bar {{collapse bottom}}foo bar. test edit.
2) 
<s>Marking as resolved to test</s>

reopening

Carriage return symbols(as on https://en.wikipedia.org/w/index.php?title=Topic:Sp8jefng2wemanet&action=undo-edit-topic-summary&topicsummary_startId=sp8jizdv0emw1axz&topicsummary_endId=sp8jwh81rmtwhs2p) seems to be gone:

Also checked

undo edit post
undo edit topic summary
undo edit board description

DannyH closed this task as Resolved.Sep 25 2015, 8:41 PM